image: maven:3.8.4-openjdk-17

variables:
  SONAR_TOKEN: "1f5153f19431eae52e7299476fd121a8674c90e9"
  SONAR_HOST_URL: "https://sonarcloud.io"
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"
  GIT_DEPTH: "0"
  POSTGRES_HOST_AUTH_METHOD: trust
  POSTGRES_DB: qieam
  POSTGRES_USER: gael

services:
  - postgres:14

stages:
- test
- coverage

test_job:
  stage: test
  script:
    - export DATABASE_URL_TEST=postgres://gael:@postgres:5432/qieam
    - mvn clean test
  rules:
    - if: '$CI_COMMIT_BRANCH != "main"'

coverage_job:
  stage: coverage
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - mvn verify sonar:sonar -Dsonar.projectKey=Geoffrey.Brunet_qieam-api-master
  only:
    - branch
    - main
